made the way code starts a bit saner
diff --git a/aos/linux_code/starter/starter.gyp b/aos/linux_code/starter/starter.gyp
index 8283d3e..0464d58 100644
--- a/aos/linux_code/starter/starter.gyp
+++ b/aos/linux_code/starter/starter.gyp
@@ -10,6 +10,7 @@
         '<(AOS)/build/aos.gyp:logging',
         '<(AOS)/linux_code/linux_code.gyp:configuration',
         '<(AOS)/common/util/util.gyp:inet_addr',
+        '<(AOS)/linux_code/linux_code.gyp:init',
       ],
     },
     {
diff --git a/aos/linux_code/starter/starter.sh b/aos/linux_code/starter/starter.sh
index 360937a..7bdf606 100755
--- a/aos/linux_code/starter/starter.sh
+++ b/aos/linux_code/starter/starter.sh
@@ -1,13 +1,10 @@
 #!/bin/bash
 
-echo $$ > /tmp/starter.pid
-
 echo '/home/driver/tmp/robot_logs/%e-%s-%p-%t.coredump' > /proc/sys/kernel/core_pattern
 
-#echo $$ > /var/run/`basename $0`.pid IT FORKS AFTER THIS!!!!
-#insmod /home/driver/robot_code/bin/aos_module.ko
-#chrt -p 45 `pidof sshd`
 chrt -o 0 bash -c "export PATH=$PATH:/home/driver/robot_code/bin; starter_loop.sh $*" &
+STARTER_LOOP_PID=$!
+echo Starter is ${STARTER_LOOP_PID}.
 #chrt -o 0 bash -c "while true; do cd /home/driver/mjpg-streamer2; ./server.sh; sleep 5; done" &
 
 # Log everything from the serial port...
@@ -19,4 +16,21 @@
 #DUMPCAP_STDOUT_FILE=$(date "/home/driver/tmp/robot_logs/stdout_dumpcap.%F_%H-%M-%S")
 #chrt -o 0 bash -c "dumpcap -i eth0 -w ${DUMPCAP_LOG_FILE} -f 'not port 8080 and not net 10.9.71.13' > ${DUMPCAP_STDOUT_FILE}" &
 
-chrt -o 0 bash -c 'while true; do /home/driver/robot_code/bin/netconsole /home/driver/tmp/robot_logs/netconsole-`date +%s`; sleep 1; done' &
+# Run netconsole to record what the cRIO sends.
+chrt -o 0 bash -c '
+NETCONSOLE_BASE=/home/driver/tmp/robot_logs/netconsole-
+existing=$(ls ${NETCONSOLE_BASE}*)
+if [[ $? -eq 0 ]]; then
+	i=$(echo ${existing} | sed "s,${NETCONSOLE_BASE},,g; s/ /\n/g" | sort -g | tail -n1)
+else
+	i=0
+fi
+while true; do
+	/home/driver/robot_code/bin/netconsole ${NETCONSOLE_BASE}$((++i))
+	sleep 1
+done
+' &
+NETCONSOLE_PID=$!
+echo Netconsole is ${NETCONSOLE_PID}.
+
+echo $$ > /tmp/starter.pid